aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.DeleteIdentity

Synopsis

- data DeleteIdentity = DeleteIdentity Text
- data DeleteIdentityResponse = DeleteIdentityResponse

# Documentation

data DeleteIdentity Source #

Delete an email address or domain

Constructors

DeleteIdentity Text |

#### Instances

Instances details

SignQuery DeleteIdentity Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ServiceConfiguration DeleteIdentity |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration

Methods

signQuery :: DeleteIdentity -> ServiceConfiguration DeleteIdentity queryType -> SignatureData -> SignedQuery Source #

Show DeleteIdentity Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods showsPrec :: Int -> DeleteIdentity -> ShowS Source # show :: DeleteIdentity -> String Source # showList :: [DeleteIdentity] -> ShowS Source #
Eq DeleteIdentity Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods (==) :: DeleteIdentity -> DeleteIdentity -> Bool Source # (/=) :: DeleteIdentity -> DeleteIdentity -> Bool Source #
Ord DeleteIdentity Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Methods

compare :: DeleteIdentity -> DeleteIdentity -> Ordering Source #

(<) :: DeleteIdentity -> DeleteIdentity -> Bool Source #

(<=) :: DeleteIdentity -> DeleteIdentity -> Bool Source #

(>) :: DeleteIdentity -> DeleteIdentity -> Bool Source #

(>=) :: DeleteIdentity -> DeleteIdentity -> Bool Source #

max :: DeleteIdentity -> DeleteIdentity -> DeleteIdentity Source #

min :: DeleteIdentity -> DeleteIdentity -> DeleteIdentity Source #

ResponseConsumer DeleteIdentity DeleteIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ResponseMetadata DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> DeleteIdentity -> IORef (ResponseMetadata DeleteIdentityResponse) -> HTTPResponseConsumer DeleteIdentityResponse Source #

Transaction DeleteIdentity DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
type ServiceConfiguration DeleteIdentity Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration

data DeleteIdentityResponse Source #

The response sent back by Amazon SES after a `DeleteIdentity` command.

Constructors

DeleteIdentityResponse |

#### Instances

Instances details

AsMemoryResponse DeleteIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type MemoryResponse DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse

Methods

loadToMemory :: DeleteIdentityResponse -> ResourceT IO (MemoryResponse DeleteIdentityResponse) Source #

Show DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods showsPrec :: Int -> DeleteIdentityResponse -> ShowS Source # show :: DeleteIdentityResponse -> String Source # showList :: [DeleteIdentityResponse] -> ShowS Source #
Eq DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity Methods (==) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source # (/=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source #
Ord DeleteIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Methods

compare :: DeleteIdentityResponse -> DeleteIdentityResponse -> Ordering Source #

(<) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source #

(<=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source #

(>) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source #

(>=) :: DeleteIdentityResponse -> DeleteIdentityResponse -> Bool Source #

max :: DeleteIdentityResponse -> DeleteIdentityResponse -> DeleteIdentityResponse Source #

min :: DeleteIdentityResponse -> DeleteIdentityResponse -> DeleteIdentityResponse Source #

ResponseConsumer DeleteIdentity DeleteIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type ResponseMetadata DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> DeleteIdentity -> IORef (ResponseMetadata DeleteIdentityResponse) -> HTTPResponseConsumer DeleteIdentityResponse Source #

Transaction DeleteIdentity DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
type MemoryResponse DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse
type ResponseMetadata DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata